Subject: Re: [Syslog] Review comments on draft-gerhards-syslog-plain-tcp-01.txt

From: Chris Lonvick <[email-masked]>
Date: Mon, 8 Mar 2010 13:52:45 -0800 (PST)

Hi Tom,

I got all excited about the next version of draft-ietf-syslog-dtls getting 
in before the cutoff time that I went ahead and edited plain-tcp.  :-)

Comments in-line.

On Wed, 27 Jan 2010, tom.petch wrote:

> Review comments on tcp-01 (as the subject line says:-)
>
> What is the intended status?  The I-D does not say; I would aim for Standards
> Track.

CML> Yup.  Now it says Standards Track.

>
> s.3
> "Traditional    TCP implementations do not use any backchannel mechanism "
> suggest
> "Traditional implementations of syslog over TCP do not use any backchannel
> mechanism "

CML> Sounds good.

> "abilities of TCP"
> suggest
> "capabilities of TCP"

CML> Good.

>
> s3.3
> I think that the ABNF rules should be amended so that the rule with
> =
> comes before the rule with
> =/

CML> Makes sense.

>
> Add at the end
>
> "   SYSLOG-MSG is defined in the syslog protocol [RFC5424]."

CML> Added.

>
> A.2
> %d10 is LF not NL; I do not know which you mean.

CML> I've seen it called both.  I'm trying to track down a normative 
reference.  Do you have one?  Till then, I'm going to leave it as NL 
(%d10).  [Pending review by Rainer.]

>
> And, perhaps the most important, somewhere I think you should cover the nature
> of TCP; give it a message and it will buffer it, may be for days, and then lose
> it because the connection is taken down.  Should you recommend the use of PSH
> for all messages?

CML> I added a paragraph near the end of the Introduction about that. 
(Which I have not run by Rainer yet. :)  Let me know if that's what you 
were thinking about.

CML> We appreciate the review.  The updated draft should be out soon and 
I'll ask for another review of it rsn.

Thanks,
Chris

>
> Tom Petch
>
> ----- Original Message -----
> From: "Chris Lonvick" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, January 26, 2010 7:24 PM
> Subject: [Syslog] Review comments on draft-gerhards-syslog-plain-tcp-01.txt
>
>
>> Hi Folks,
>>
>
>

---

From: "tom.petch" <[email-masked]>
Date: Wed, 10 Mar 2010 20:43:42 +0100

Extracting one of the two unresolved issues
"> > A.2
> (%d10).  [Pending review by Rainer.]
"
RFC20/RFC020/RFC0020 says that LF is 0/10 and I do not think
that it has changed since:-)

Tom Petch

---

From: "Rainer Gerhards" <[email-masked]>
Date: Thu, 11 Mar 2010 15:46:30 +0100

sorry, folks, just a short note: unfortunately, I got totally swamped with a
couple of really important issues (to me, of course). Being in a small shop,
it is not easy to always be as responsive as one likes. I will try to follow
up ASAP, but probably not before Monday.

Rainer

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of tom.petch
> Sent: Wednesday, March 10, 2010 8:44 PM
> To: Chris Lonvick
> Cc: [email-masked]
> Subject: Re: [Syslog] Review comments ondraft-gerhards-syslog-plain-
> tcp-01.txt
> 
> > > And, perhaps the most important, somewhere I think you should cover
> the
> nature
> > > of TCP; give it a message and it will buffer it, may be for days,
> and then
> lose
> > > it because the connection is taken down.  Should you recommend the
> use of
> PSH
> > > for all messages?
> >
> _______________________________________________
> Syslog mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/syslog

---

From: "tom.petch" <[email-masked]>
Date: Fri, 12 Mar 2010 17:05:59 +0100

Eliding the previously agreed parts

Tom Petch

----- Original Message -----
From: "Chris Lonvick" <[email-masked]>
To: "tom.petch" <[email-masked]>
Cc: <[email-masked]>
Sent: Monday, March 08, 2010 10:52 PM
Subject: Re: [Syslog] Review comments on draft-gerhards-syslog-plain-tcp-01.txt

> On Wed, 27 Jan 2010, tom.petch wrote:
<snip>
> (Which I have not run by Rainer yet. :)  Let me know if that's what you

Yes, your new paragraph is exactly what I had in mind.